Bug 184399 - Treo650 cannot sync on yesterday's rawhide
Treo650 cannot sync on yesterday's rawhide
Status: CLOSED DUPLICATE of bug 186779
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-08 10:41 EST by Suzanne Hillman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 22:20:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from trying to run pilot-xfer on an aspire running yesterday's rawhide install (1.72 KB, text/plain)
2006-03-08 10:41 EST, Suzanne Hillman
no flags Details

  None (edit)
Description Suzanne Hillman 2006-03-08 10:41:26 EST
Description of problem:
Trying to sync a Treo650 fails on yesterday (march 9)'s rawhide install.

Version-Release number of selected component (if applicable):
pilot-link-0.12.0-0.pre4.5.2.1

How reproducible:
Always

Steps to Reproduce:
1. Connect the Palm via a sync cable to USB
2. Press the button
3. Run "pilot-xfer -s /data/pilot -p /dev/pilot" at the command line
  
Actual results:
Get output which I will attach, and it will abort

Expected results:
Should just work.

Additional info:
See attachment
Comment 1 Suzanne Hillman 2006-03-08 10:41:26 EST
Created attachment 125809 [details]
output from trying to run pilot-xfer on an aspire running yesterday's rawhide install
Comment 2 Suzanne Hillman 2006-03-08 10:46:48 EST
Also happens on a fujitsu lifebook. I suspect this to not be machine specific.
Comment 3 Frank Ch. Eigler 2006-03-23 11:47:19 EST
The problem is libpisock.c/serial.c, near line 365.  

      char    realport[50];
      realpath(pa->pi_device, realport);

With the "fortify" gcc/glibc extension, __realpath_chk is invoked (see glibc
debug/realpath_chk.c), with the compile-time known size 50 for the receipient
array.  Since that 50 is smaller than PATH_MAX (or pathconf(_PC_PATH_MAX)),
glibc detects a likely buffer overflow and kills the program.

The fix would be to have a much larger buffer.  Some files in /usr/include
define PATH_MAX as large as 4096 bytes.  That ought to do it here.
Comment 4 Frank Ch. Eigler 2006-04-03 22:20:25 EDT

*** This bug has been marked as a duplicate of 186779 ***

Note You need to log in before you can comment on or make changes to this bug.